Bug 192773 - Via driver fails to load
Summary: Via driver fails to load
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-via (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-22 21:04 UTC by paul
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 22:40:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description paul 2006-05-22 21:04:32 UTC
Description of problem:
Via driver fails to load with 

X: symbol lookup error: /usr/lib/xorg/modules/drivers/via_drv.so: undefined
symbol: assert


Version-Release number of selected component (if applicable):
0.2.1-1

How reproducible:
100%

Steps to Reproduce:
1. Attempt to start X server configured to use "via" driver
2.
3.
  
Actual results:


Expected results:


Additional info:

Problem is in via_dri.c which has two assert()s in VIADRIFinishScreenInit but no
#include of <assert.h>

Comment 1 Mike A. Harris 2006-05-23 13:50:22 UTC
Please report this issue to X.Org developers by filing a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL
for tracking.

Comment 2 paul 2006-05-23 19:11:01 UTC
Done, URL is https://bugs.freedesktop.org/show_bug.cgi?id=7010

Comment 3 Adam Jackson 2006-09-21 22:40:48 UTC
Fixed in xorg-x11-drv-via 0.2.1-5.


Note You need to log in before you can comment on or make changes to this bug.